Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-3529

--genconfig generates deprecated settings

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Won't Do
    • Affects Version/s: PUP 3.7.1
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None
    • Environment:

      Darwin 13.4.0, Ubuntu 14.04

    • Template:

      Description

      Use of the "--genconfig" command line option generates several settings for options that have been deprecated (even the generated puppet.conf file notes in the comments that the option has been deprecated). Running puppet (server or client) then emits deprecation warnings. These generated option settings are not needed (the generated values are the defaults).
      Fix: "comment out" the generated settings. I.e. the --genconfig output should prepend each deprecated option setting with a hash sign.
      Attached is an example generated puppet.conf file (puppet agent --genconf) and the output of puppet using this configuration (puppet agent -t).
      Applies to puppet server as well.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              hyerle Robert Hyerle
              QA Contact:
              Erik Dasher
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Zendesk Support